**`Puneetkumar M Todalabagi`[NAME]** -NL- ______________________________________________________________________________ -NL- ___________________________ -NL- Email : **`puneet.todalabagi@outlook.com`[EMAILS_EMAIL]** -NL- Address: -NL- Mobile : **`+91 9036021235`[PHONES_PHONE]** -NL- No.122, Gaana -NL- Residency, -NL- Kumaraswamy layout -NL- stage 2, -NL- Bangalore -78. -NL- **`OBJECTIVE:`[SUMMARY_HEADING]** -NL- To work in a competitive organizational environment where there is scope for the -NL- enhancement of personal and professional skills there by contributing, to -NL- organizational growth and success. -NL- Work Experience ( 7 Years): -NL-  Working as **`Technical lead`[EMPLOYER_ROLE]** in “**`Altran Technologies`[EMPLOYER_COMPANY_NAME]**” from Apr 2019 to -NL- Present. -NL-  CSS (Customer Self Service) Automation experience with Selenium web -NL- driver (Core Java. JDBC) in Telecom project. -NL-  I have done automation of the Oracle Cloud Home Page and Oracle Cloud -NL- Portal using Java, Selenium. -NL-  I have created rest api automation project to check health of lab and all -NL- endpoints in project. -NL-  I have involved in automating package installations using shell scripting. -NL-  Having experience in development of JAVA Swing GUI for automation of -NL- daily work which will includes process monitor, restarts etc. -NL-  Well versed with a gamut of testing techniques namely Black Box Testing -NL- (BVA & ECP), Sanity Testing, Smoke Testing, Functional Testing, System -NL- Testing, GUI, Acceptance Testing and Regression Testing. -NL-  Exposure to real time production environments (sites). -NL- **`COMPUTATIONAL SKILLS:`[SKILLS_HEADING]** -NL- Programming -NL- **`Skills`[SKILLS_HEADING]** -NL- Core Java, Selenium Web Driver, SQL. Rest Assured -NL- Scripting -NL- Shell Scripting. Python Basics -NL- Databases -NL- Oracle. -NL- Operating Systems Windows XP/7/10, Linux. -NL- Tools -NL- Rational ClearQuest, HP QC, Jenkins. -NL- Frameworks Used TestNG, Eclipse, Net beans. -NL- 2 -NL- **`PERSONAL TRAITS:`[PERSONAL_DETAILS_HEADING]** -NL- Optimistic, Patience, I’m a team person and can blend with any group of -NL- people. -NL- Aflexible professional who enjoys learning new skills and quickly adapts to -NL- organizational changes. -NL- **`PROJECTS:`[OTHERS_HEADING]** -NL- Organization : **`Altran Technologies`[EMPLOYER_COMPANY_NAME]** (Previously Aricent -NL- Group) -NL- 1) Comverse One and FX Billing Project: -NL- In today’s connected telecom arena, customers have come to expect expanded -NL- choice and 24x7 access to advanced data-intensive services and applications -NL- (including over-the-top content). They also expect relevant and targeted -NL- interactions and market offerings – gone are the days of one sizefits all. To -NL- address the new connected customer expectations while boosting profitability, -NL- communication service providers (CSPs) need to embrace real-time capabilities to -NL- address wider business demands (e.g. beyond prepaid): bill shock prevention, -NL- revenue protection, and increasing consumer demand for real-time updates and -NL- real-time marketing. -NL- Programming -NL- Language -NL- Core Java, Selenium Web driver, Jenkins, Python Basics -NL- Role -NL- Technical Lead -NL- Client -NL- Amdocs (Previously it was Comverse) -NL- Period -NL- Apr-2019 to Present -NL- Database -NL- Oracle -NL- OS -NL- Windows, Linux. -NL- Scripting -NL- Shell Scripting -NL- Writing test cases according to FRS. -NL- Selenium programming for automation of CSS for front end -NL- requirements -NL- Executing test cases using manual testing and automation -NL- testing. -NL- Executing both OSS and BSS related feature testing. -NL- Responsibilities -NL- Sending the daily status report of the project to clients and -NL- managers. -NL- Supporting to the Production Environment for solving issues. -NL- Documenting the system test report. -NL- Mentoring the juniors. -NL- Handling the multiple releases and delivering them -NL- successfully with high quality. -NL- 3 -NL- Organization : **`Oracle India Pvt Ltd`[PROJECT_COMPANY_NAME]**. -NL- 1) **`Oracle Public Cloud Portal Testing`[PROJECT_TITLE]**: -NL- The most recognizable model of cloud computing to many consumers is the public cloud model, -NL- under which cloud services are provided in a virtualized environment, constructed using pooled shared -NL- physical resources, and accessible over a public network such as the internet. To some extent they can -NL- be defined in contrast to private clouds which ring-fence the pool of underlying computing resources, -NL- creating a distinct cloud platform to which only a single organization has access. Public clouds, -NL- however, provide services to multiple clients using the same shared infrastructure. -NL- Programming -NL- Language -NL- Core Java, Selenium Web driver, Jenkins, Rest Assured -NL- Role -NL- Member of Technical Staff -NL- Period -NL- Apr-2016 to Apr-2019 -NL- Database -NL- Oracle 12c. -NL- OS -NL- Windows, Linux. -NL- Scripting -NL- Shell Scripting, Basic Python -NL- 1. Writing test cases according to Enhancements. -NL- 2. Selenium programming for automation of Oracle Cloud -NL- Home (https://cloud.oracle.com) and Oracle public cloud portal. -NL- 3. Executing test cases using manual testing and automation -NL- testing. -NL- 4. Sending the daily status report of the project to clients and -NL- Responsibilities -NL- managers. -NL- 5. Documenting the system test report. -NL- 6. Leading particular modules in the project. -NL- 7. Handling the multiple releases and delivering them -NL- successfully with high quality. -NL- 8. Leading team of 4 and guiding them. -NL- Organization : **`Altran Technologies (Previously Aricent -NL- Group)`[PROJECT_COMPANY_NAME]** -NL- 1) **`Comverse One Billing Project`[PROJECT_TITLE]**: -NL- In today’s connected telecom arena, customers have come to expect expanded -NL- choice and 24x7 access to advanced data-intensive services and applications -NL- (including over-the-top content). They also expect relevant and targeted -NL- interactions and market offerings – gone are the days of one sizefits all. To -NL- address the new connected customer expectations while boosting profitability, -NL- communication service providers (CSPs) need to embrace real-time capabilities to -NL- address wider business demands (e.g. beyond prepaid): bill shock prevention, -NL- revenue protection, and increasing consumer demand for real-time updates and -NL- real-time marketing. -NL- 4 -NL- Programming -NL- Language -NL- Core Java, Selenium Web driver, Jenkins -NL- Role -NL- Senior Software Engineer -NL- Client -NL- Amdocs (Previously it was Comverse) -NL- Period -NL- Feb-2013 to Mar-2016 -NL- Database -NL- Oracle 10g and 11g. -NL- OS -NL- Windows, Linux, AIX. -NL- Scripting -NL- Shell Scripting -NL- Writing test cases according to FRS. -NL- Selenium programming for automation of CSS for front end -NL- requirements -NL- Executing test cases using manual testing and automation -NL- testing. -NL- Executing both OSS and BSS related feature testing. -NL- Web services testing and performance related testing through -NL- Responsibilities -NL- JMeter. -NL- Sending the daily status report of the project to clients and -NL- managers. -NL- Supporting to the Production Environment for solving issues. -NL- Documenting the system test report. -NL- Mentoring the juniors (Acting as stand by Team Lead). -NL- Handling the multiple releases and delivering them -NL- successfully with high quality. -NL- 2) **`Secured Remote Program Compilation (Aricent Nalanda -NL- Project)`[PROJECT_TITLE]** -NL- In the real time, the computer may not have program compiler in their system. In -NL- that cases the programmer can write the program in the in his local system (Client -NL- machine), then Client can send the written program to the Server side. The data -NL- whatever he wants to sends it will be encrypted before it sent. The server side will -NL- have the program compiler and when the data will start coming to the server, then -NL- it will starts reading, decodes and executes and sent the results back to the Client -NL- with encrypted results. Then Client will decrypts it and display the results. -NL- Role -NL- Software Engineer (Application Development) -NL- Period -NL- Oct 2012 to Feb 2013 -NL- Programming -NL- Languages -NL- C, Socket Programming, Unix, -NL- OS -NL- Linux -NL- 5 -NL- Team Size -NL- 4 -NL- Responsibilities -NL- Data transferring in Encrypted character from -NL- Client to Server. -NL- Executing of compilation commands using system -NL- calls. -NL- Getting compilation response from server with -NL- substitution encryption. -NL- **`EDUCATIONAL QUALIFICATION:`[EDUCATION_HEADING]** -NL- Qualificati -NL- Marks % -NL- Grade -NL- ons -NL- Institution -NL- Year -NL- April/ -NL- **`S.S.L.C`[EDUCATION_DEGREE]** -NL- **`S.M. High School, Terdal`[EDUCATION_INSTITUTE]** -NL- 2006 -NL- 75.68% -NL- First Class -NL- S.R.A Pre University College -NL- May/ -NL- **`P.U.C`[EDUCATION_DEGREE]** -NL- Banahatti -NL- 2008 Jun/ -NL- 80.33% -NL- First Class -NL- 8.19 (CGPA Out Of Distinctio -NL- **`B.E`[EDUCATION_DEGREE]**. (CSE) -NL- **`M.S.R.I.T Bangalore`[EDUCATION_INSTITUTE]** -NL- 2012 -NL- 10) -NL- n -NL- **`PERSONAL PROFILE:`[PERSONAL_DETAILS_HEADING]** -NL- Date of birth -NL- 15-06-1990 -NL- Sex -NL- Male -NL- Marital status -NL- Married. -NL- Father’s name -NL- Mallikarjun -NL- Mother’s name -NL- Drakshayini -NL- **`Languages Known`[SKILLS_HEADING]** -NL- Kannada, English, Hindi, Telugu. -NL- **`Hobbies`[OTHERS_HEADING]** -NL- Playing cricket, Reading , listening to music, Chess, -NL- Travelling -NL- **`Awards and Participations`[OTHERS_HEADING]** -NL-  Best runner up award in Aricent Nalanda Training Projects. -NL-  Participated in Aricent Hackathon competitions and implemented -NL- Android push notifications using Google Cloud messaging. -NL- **`DECLARATION:`[OTHERS_HEADING]** -NL- 6 -NL- I hereby declare that all the information given above is true to the best -NL- of my knowledge. -NL- (Puneetkumar M) -NL- 